Package org.apache.lucene.monitor

## Class MatchingQueries<T extends QueryMatch>

- java.lang.Object
- - org.apache.lucene.monitor.MatchingQueries<T>

- Type Parameters:
    `T` - the type of QueryMatch returned

      public class MatchingQueries<T extends QueryMatch>
      extends Object

  Class to hold the results of matching a single `Document` against queries held in the Monitor

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Exception>` | `getErrors()` |
    `int` | `getMatchCount()` |
    `Collection<T>` | `getMatches()` |
    `int` | `getQueriesRun()` |
    `long` | `getQueryBuildTime()` |
    `long` | `getSearchTime()` |
    `T` | `matches​(String queryId)` | Returns the QueryMatch for the given query, or null if it did not match

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### matches

          public T matches​(String queryId)

      Returns the QueryMatch for the given query, or null if it did not match
      Parameters:
        `queryId` - the query id

    - #### getMatches

          public Collection<T> getMatches()

      Returns:
        all matches

    - #### getMatchCount

          public int getMatchCount()

      Returns:
        the number of queries that matched

    - #### getQueryBuildTime

          public long getQueryBuildTime()

      Returns:
        how long (in ns) it took to build the Presearcher query for the matcher run

    - #### getSearchTime

          public long getSearchTime()

      Returns:
        how long (in ms) it took to run the selected queries

    - #### getQueriesRun

          public int getQueriesRun()

      Returns:
        the number of queries passed to this CandidateMatcher during the matcher run

    - #### getErrors

          public Map<String,​Exception> getErrors()

      Returns:
        a List of any MatchErrors created during the matcher run